# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXCheckRIH

Function

Checks registered input handlers.

Syntax
`
#include <dx/dx.h>
`

int DXCheckRIH(int block);

Functional Details

This routine must be called periodically in a stand-alone program if the `DXRegisterInputHandler` routine is used to define an input handler. (The executive provides this function automatically for built-in Data Explorer routines.)

`DXCheckRIH` determines whether any input handlers need to be called and, if so, calls them before returning. The valid arguments for `block` are:

  0 = Check whether any events need handling. If not, return. Otherwise, handle the event(s) and return.
  1 = Do not return until an event that requires handling occurs.

If the Display module is part of your stand-alone program, this routine must be called, since Display uses an input handler to deal with external events (e.g., repainting window contents after they have been obscured).

If the SuperviseState module (SuperviseState in IBM Visualization Data Explorer User's Reference) is being used in conjunction with Display to implement direct interaction, `DXCheckRIH` must not be called between SuperviseState and Display. This will ensure that SuperviseState passes up-to-date state information into Display.

Return Value

Returns 1 if an event required handling; otherwise return 0.

See Also

`DXRegisterInputHandler`

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]